# Changelog

All notable changes to this add-on will be documented in this file.

## 1.4.0 - 10 November 2024

- Autocomplete buttons are now positioned next to the paste button in the command block screen.
    - The previous button layout can still be accessed by adjusting the subpack slider to “Old Layout”.
- The chat settings button icon now changes according to button hover and pressed states.
- Improved compatibility with third-party add-ons and future Minecraft versions.
- Updated translations.
    - The chat screen title once again includes the phrase “and Commands” when cheats are activated.
    - Pack name and description are now translated for all languages supported by Minecraft.
- Added support for Minecraft 1.21.40.

## 1.3.0 - 06 January 2024

- You can now choose to turn off the chat filter.
- Improved compatibility with other add-ons.
- Updated translations.
- Added support for Minecraft 1.20.51.

## 1.2.0 - 13 September 2023

- Added translations for 13 languages.
- Added support for Minecraft 1.20.15.

## 1.1.1 - 13 July 2022

- Extension packs now use the same version number as the base pack.
- Added support for Minecraft 1.19.10.

## 1.1.0 - 08 August 2021

- Improved UI and accessibility.
    - Autocomplete and message navigation buttons are now properly announced when using a screen reader.
- Added translations for 11 languages.
- Added subpacks with optional features.
- Command block autocomplete buttons no longer stay in your way.
- You can now choose to keep the chat open when taking damage.

## 1.0.1 - 04 June 2020

- Minor improvements.

## 1.0.0 - 02 February 2020

- Autocompletion for command blocks.
- Aspect improvements.

## 0.0.1 - 24 January 2020

- Initial release.